# TensorFlow

TensorFlow is an open-source software library for machine intelligence.
For searching available modules type:

```console
$ ml av Tensorflow
```

## Salomon Modules

Salomon provides beside others these three different TensorFlow modules:

**Tensorflow/1.1.0** (not recommended), module built with:

* GCC/4.9.3
* Python/3.6.1

**Tensorflow/1.2.0-GCC-7.1.0-2.28** (default, recommended), module built with:

* TensorFlow 1.2 with SIMD support. TensorFlow build taking advantage of the Salomon CPU architecture.
* GCC/7.1.0-2.28
* Python/3.6.1
* protobuf/3.2.0-GCC-7.1.0-2.28-Python-3.6.1

**Tensorflow/1.2.0-intel-2017.05-mkl** (TensorFlow 1.2 with MKL support), module built with:

* icc/2017.4.196-GCC-7.1.0-2.28
* Python/3.6.1
* protobuf/3.2.0-GCC-7.1.0-2.28-Python-3.6.1

## TensorFlow Application Example

After loading one of the available TensorFlow modules, you can check the functionality by running the following Python script.

```python
import tensorflow as tf

c = tf.constant('Hello World!')
sess = tf.Session()
print(sess.run(c))
```
